org.eclipse.viatra.transformation.runtime.emf.rules

## Class BatchTransformationRuleGroup

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractSet<E>
    - - java.util.HashSet<Rule>
      - - org.eclipse.viatra.transformation.runtime.emf.rules.TransformationRuleGroup<BatchTransformationRule<?,?>>
        - - org.eclipse.viatra.transformation.runtime.emf.rules.BatchTransformationRuleGroup

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<BatchTransformationRule<?,?>>, java.util.Collection<BatchTransformationRule<?,?>>, java.util.Set<BatchTransformationRule<?,?>>

      public class BatchTransformationRuleGroup
      extends TransformationRuleGroup<BatchTransformationRule<?,?>>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BatchTransformationRuleGroup()`
    `BatchTransformationRuleGroup(BatchTransformationRule<?,?>... rules)`

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.viatra.transformation.runtime.emf.rules.TransformationRuleGroup

      `getFilteredRuleMap, getRuleSpecifications, prepareQueryEngine`

    - ### Methods inherited from class java.util.HashSet

      `add, clear, clone, contains, isEmpty, iterator, remove, size, spliterator`

    - ### Methods inherited from class java.util.AbstractSet

      `equals, hashCode, removeAll`

    - ### Methods inherited from class java.util.AbstractCollection

      `addAll, containsAll, retainAll, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Set

      `addAll, containsAll, equals, hashCode, removeAll, retainAll, toArray, toArray`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Constructor Detail

    - #### BatchTransformationRuleGroup

          public BatchTransformationRuleGroup()

    - #### BatchTransformationRuleGroup

          public BatchTransformationRuleGroup(BatchTransformationRule<?,?>... rules)